<?php
    include("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session
    $idinvers=$_POST['id_inversionista'];
    $kiloskg=$_POST['kilos'];
    $elflete=$_POST['flete'];
    $enviar=$_POST['envio'];
    $gtot=$_POST['cantidad'];
    $idpaq=$_POST['paq'];
    $cuenta=$_POST['cant_prod'];
    $centroent=$_POST['cdent'];
    //transacciones tipo 8 venta
    //transacciones tipo 7 salida
    $notaTipo=$_POST['tipodnota'];
    $notaTipo=($notaTipo==10) ? $notaTipo=8 : 7;

   $ticket_prod=unserialize($_POST['ticket_prod']);
   $ticket_canti=unserialize($_POST['ticket_canti']);
   //$lista_productos=count($ticket_canti);
if(isset($enviar)){ $gtot+=$elflete;}else{$elflete=0;}





    for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"];
      $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
   }
  }

$articulos_cant=count($A1);

$string_transaccion="INSERT INTO transacciones (inversionista_id_inver,tipostr_idtipostr,fechat,horat,usuarios_ci_idusuarios_ci,consec,cdentrega,statusentrega,fechae,observaciones) values ('$idinvers','$notaTipo',curdate(),curtime(),'$dato[0]','0','$centroent','ESPERA','0000-00-00','$gtot')";
   // echo $string_transaccion . " ";
	mysql_query($string_transaccion) or die ("No se pudo insertar transaccion");




	/*$string_transac = "SELECT idtransacciones FROM transacciones ORDER BY idtransacciones DESC LIMIT 1";
    $query_transac=mysql_query($string_transac);
	$transac=mysql_fetch_row($query_transac);
	$transac[0]=$transac[0]+1;*/

	 $qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$idinvers' 
           AND fechat = curdate() ORDER BY horat DESC LIMIT 1";
    $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
    $transac = mysql_fetch_row($ca)[0];



     for($j=0;$j<count($ticket_prod);$j++)
     {
        $id_prods="SELECT id_prod from productos where nombreProd='$ticket_prod[$j]'";
        $id_prod_array=mysql_fetch_array(mysql_query($id_prods));   
        $pedido="INSERT INTO pedido(transacciones_idtransacciones,productos_idprod,cant) VALUES('$transac','$id_prod_array[0]',$ticket_canti[$j])";
      //echo $pedido . " ";
        mysql_query($pedido) or die('Error inserta en pedido');
     }

    for ($k=0; $k<$cuenta; $k++)
    {
       if ($_POST["cant$k"] > 0)
      {
       $A1[$k]=$_POST["cant$k"];
       $A2[$k]=$_POST["copia_nombreProd$k"];
       $A3[$k]=$_POST["copia_precio$k"];
       $A4[$k]=$_POST["copia_id_prod$k"];
       $A5[$k]=$_POST["copia_puntos$k"];
       $A6[$k]=$_POST["existencias$k"];

         $pedido_real="INSERT INTO pedido_real (transacciones,id_prod,cant) values ($transac,$A4[$k],$A1[$k])";
        //echo $pedido_real . " ";
        mysql_query($pedido_real) or die ("Error al insertar en respaldo pedido");
      }
    }

   
    $qP = "INSERT INTO guias (idtransacciones, id_paq, peso, flete)
            VALUES ('$transac','$idpaq','$kiloskg','$elflete')";
     $cP = mysql_query($qP) or die ('Error (insert guias): ' . mysql_error());
     



echo "<center><br> Transaccion No.<font size=\"+7\"> $transac</font>";
           
$qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado, usuarios_ci_idusuarios_ci, cdentrega FROM inversionista join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones =\"$transac\"";
  $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp = mysql_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $rfc = $rp->rfc;	
  $localidad=$rp->estados_idestado;
  $entrega=$rp->cdentrega;
  $realiza=$rp->usuarios_ci_idusuarios_ci;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  
   $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $realiza";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nrealiza = mysql_fetch_row($ca)[0]; 
     $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $entrega";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nentrega = mysql_fetch_row($ca)[0]; 
    
    
     $qp1 = "SELECT guias.id_paq as paq, descripcion, flete, peso from guias join paqueterias on paqueterias.id_paq=guias.id_paq WHERE idtransacciones =\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $id_paq = $rp1->paq;	
  $paq = $rp1->descripcion;	
  $flete=$rp1->flete;
  $peso=$rp1->peso;

    
    
  
  
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysql_query($qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysql_error());
  $gtot=0; $puntos=0;
  echo"<center>";
  echo"<FORM ACTION='pedido3.php' method='POST' id='dataped'>";
  echo"<table cellspacing=5>
      <tr><td><font>RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td><font>Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
    
      <tr><td><font>Realizo</font></td><td bgcolor=\"#CCFFCC\">$realiza $nrealiza</td></tr> 
      <tr><td><font>Entrega</font></td><td bgcolor=\"#CCFFCC\">$entrega $nentrega</td></tr> 
      </table>
      
      
   
  <br>Contenido del pedido:
			<table border=1><tr><td>
			<table CellPadding=5>
			<tr>
        <th><font>Cant</font></th>
        <th><font>Producto</font></th>
  			<th><font>Precio</font></th>
        <th><font>Puntos</font></th>
			</tr>";
			
			
			
				$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$transac'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];$hh++;

	     $cip="SELECT productos.nombreProd, promop.idprodp, cantp
            from promod join promop on promod.id_promo=promop.promop
            join productos on promop.idprodp=productos.id_prod
            where promod.id_promo = $ral[4]";
      $qcip=mysql_query($cip) or die ("Error en la consulta del id de si es promo: ".mysql_error());

      if(mysql_num_rows($qcip) > 0)
      {
        for($j=0; $rw=mysql_fetch_array($qcip); $j++)
        { 
          echo"
          <tr>
            <td>$rw[2]</td>
            <td>$rw[0]</td>
          </tr>";
       
        }
      }
	
	};
		$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
		echo"</table></td><td><center><b>Resumen Producto a Entregar:</b><table CellPadding=5>

			<tr><th><font >Cant</font></th><th><font>Producto</font></th>
			<th><font>Exist</font></th>
			</tr>";

	
	$linea="SELECT cant, nombreProd FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	//-----   
